image: node:latest

stages:
    - build
    - test

cache:
    paths:
        - node_modules/

install:
    stage: build
    script:
        - npm install
    artifacts:
        paths:
            - node_modules/

testing:
    stage: test
    script:
        - npm test
